<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="JiShe.CollectBus.HttpApi.abppkg" />
  </ItemGroup>

  <ItemGroup>
		<PackageReference Include="Volo.Abp.AspNetCore.Mvc" />
		<ProjectReference Include="..\..\services\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />
		<ProjectReference Include="..\..\services\JiShe.CollectBus.Application\JiShe.CollectBus.Application.csproj" />
  </ItemGroup>

	<ItemGroup> 
		<PackageReference Include="JiShe.ServicePro.IoTDBManagement.HttpApi" />
	</ItemGroup>

</Project>
